Name:		gcx
Version:	0.9.11
Release:	9%{?dist}
Summary:	Data-reduction tool for CCD photometry

License:	GPLv2+
Group:		Applications/Engineering
URL:		http://sourceforge.net/projects/gcx/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	gcx.desktop
Source2:	gcx.svg
Patch0:         gcx-0.9.11-bounds.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	gnuplot
BuildRequires:	gtk+-devel, desktop-file-utils

%description
GCX provides a complete set of data-reduction
functions for CCD photometry, accessible both
from a GUI and the command line. It also controls
CCD cameras and telescopes, and implements
automatic observation scripting.

%prep
%setup -q
%patch0 -p1 -b .bounds

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 src/gcx $RPM_BUILD_ROOT%{_bindir}/gcx
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/gcx/gcx.svg
desktop-file-install --vendor fedora --dir ${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/gcx
%{_datadir}/applications/fedora-gcx.desktop
%{_datadir}/gcx

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 7 2009 Marek Mahut <mmahut@fedoraproject.org> - 0.9.11-8
- Fix mime association with FITS files (RHBZ#494430)

* Mon Apr 6 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.11-6
- Fix a stack overflow (#494345)

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.11-5
- Fix the icon location

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 31 2007 Marek Mahut <mmahut@fedoraproject.org> - 0.9.11-3
- Initial release.
